Consultar resultados da turma
curl --request GET \
--url https://api.followw.app/classrooms/{classroom_id}/statisticsimport requests
url = "https://api.followw.app/classrooms/{classroom_id}/statistics"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.followw.app/classrooms/{classroom_id}/statistics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"situation": "aprovado",
"percentage": 123
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Classrooms
Consultar resultados da turma
Percentuais por situação dos alunos da turma encerrada.
GET
/
classrooms
/
{classroom_id}
/
statistics
Consultar resultados da turma
curl --request GET \
--url https://api.followw.app/classrooms/{classroom_id}/statisticsimport requests
url = "https://api.followw.app/classrooms/{classroom_id}/statistics"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.followw.app/classrooms/{classroom_id}/statistics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"situation": "aprovado",
"percentage": 123
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Headers
no-cache: revalidar; max-age=N: idade máxima em segundos; stale-if-error[=N]: aceitar cache na falha; only-if-cached: usar só cache (504 se ausente).
Path Parameters
Classroom.id ou Classroom.sigaa_id.
Response
Successful Response
As situações do gráfico "Situação dos Discentes", na ordem da legenda.
Available options:
aprovado, reprovado, reprovado_por_faltas, reprovado_por_media_e_por_faltas, aprovado_por_nota, reprovado_por_nota, reprovado_por_nota_e_faltas, trancado, matriculado